#include <stdlib.h>
#include <stdio.h>
#include "tlb_malloc.h"
#include "list_operations.h"
void insert(struct mblock ** list, enum color color_required, struct mblock *block_to_insert) 
{
		struct mblock *ptr = list[color_required] -> next;
		struct mblock *save_ptr = list[color_required];
		while ( ( ptr != NULL ) && ( ptr < block_to_insert))
		{
			save_ptr = ptr;
			ptr = ptr -> next;
		}
		
		save_ptr -> next = block_to_insert;
		if ( ptr != NULL)
		{
			block_to_insert -> next = ptr;
		}

}

void print (struct mblock **list, enum color color_required)
{
	struct mblock *ptr = list[color_required] -> next;
	while( ptr != NULL)
	{
		printf("Address: %p\t", ptr);
		printf("Length: %d\n", ptr->length);
		ptr = ptr->next;
	}
}

