
// the following macro is used to convert all memory requests to multiple of 16 bytes since each mblock struct needs 16 bytes
#define	roundmb(x)	( (15 + (unsigned int)(x)) & ~15 )
/*The structure used to represent one memory block. Used to represent free list*/
struct mblock{
	unsigned int length;
	struct mblock *next;
};

//enums
enum color 
{
	COLOR_0, COLOR_1, COLOR_2, COLOR_3, COLOR_4, COLOR_5, COLOR_6, COLOR_7, COLOR_8, COLOR_9, COLOR_10, COLOR_11, COLOR_12, COLOR_13,COLOR_14,COLOR_15, COLOR_16,
	COLOR_17, COLOR_18, COLOR_19, COLOR_20, COLOR_21, COLOR_22, COLOR_23, COLOR_24, COLOR_25, COLOR_26, COLOR_27, COLOR_28, COLOR_29, COLOR_30, COLOR_31, COLOR_32,
	COLOR_33, COLOR_34, COLOR_35, COLOR_36, COLOR_37, COLOR_38, COLOR_39, COLOR_40, COLOR_41, COLOR_42, COLOR_43, COLOR_44, COLOR_45, COLOR_46, COLOR_47, COLOR_48,
	COLOR_49, COLOR_50, COLOR_51, COLOR_52, COLOR_53, COLOR_54, COLOR_55, COLOR_56, COLOR_57, COLOR_58, COLOR_59, COLOR_60, COLOR_61, COLOR_62, COLOR_63	
};

//function prototypes 

void * tlb_malloc(unsigned int nbytes, enum color color_needed);
void tlb_free(void * addr, enum color color_needed);
void init_tlb_malloc_lib(unsigned int _4k_no_of_dtlb_sets, unsigned int _4k_dtlb_assoc, unsigned int _2m_dtlb_assoc, unsigned int _2m_no_of_dtlb_sets, unsigned int _4k_no_of_dtlb_sets_for_array, unsigned int _2m_no_of_dtlb_sets_for_array);

